## ros-noetic-mrpt-sensorlib 0.0.3

=== debian/changelog ===
ros-noetic-mrpt-sensorlib (0.0.3-1focal) focal; urgency=high

  * Fix build errors with latest mrpt versions
  * Implement publisher for velodyne sensor
  * start publish ros
  * fix install dir
  * towards templatized specific sensor nodes
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 13 Jun 2023 22:00:00 -0000

ros-noetic-mrpt-sensorlib (0.0.2-1focal) focal; urgency=high

  * New package
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000
